Generate BigCommerce Login URL (GET)
Generates a BigCommerce customer login URL using the provided LoginRadius access token. If the customer does not exist in BigCommerce, it creates one. Returns a login URL that can be used to authenticate the user into BigCommerce.
Generates a BigCommerce customer login URL using the provided LoginRadius access token. If the customer does not exist in BigCommerce, it creates one. Returns a login URL that can be used to authenticate the user into BigCommerce.
Tenant API Key for authentication
In: query
Query Parameters
Access Token of the User
BigCommerce store hash identifier
User's password
URL to redirect the user to after login
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.hub.loginradius.com/sso/bigcommerce/api/token?access_token=1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef&store=abc123&password=MyPassword123&return_url=https%3A%2F%2Fexample.com%2Fdashboard"{
"loginUrl": "https://store-abc123.mybigcommerce.com/login/token/eyJhbGciOiJIUzI1NiJ9"
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}BigCommerce OAuth Authorization GET
Handles BigCommerce OAuth authorization callbacks. Accepts either an authorization code (for install flow) or a signed_payload (for load/uninstall callbacks). Returns an HTML page on success.
Generate BigCommerce Login URL (POST) POST
Generates a BigCommerce customer login URL using the provided LoginRadius access token sent in the request body. If the customer does not exist in BigCommerce, it creates one. Returns a login URL that can be used to authenticate the user into BigCommerce.